xfstests: convert tests to use new results directory
[xfstests-dev.git] / tests / generic / 124
1 #! /bin/bash
2 # FSQA Test No. 124
3 #
4 # Test preallocated_rw_pattern_test modified from CXFSQA test preallocated_rw_pattern_test
5 #
6 # pat stands for pattern.  First 8 bytes contains the 64-bit number 0,
7 # second is 1, ..., until last 8 bytes (1048568-1048575) contain 131071.
8 # patw preallocates the file and then writes the pattern, patr checks it
9 #
10 #-----------------------------------------------------------------------
11 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
12 #
13 # This program is free software; you can redistribute it and/or
14 # modify it under the terms of the GNU General Public License as
15 # published by the Free Software Foundation.
16 #
17 # This program is distributed in the hope that it would be useful,
18 # but WITHOUT ANY WARRANTY; without even the implied warranty of
19 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
20 # GNU General Public License for more details.
21 #
22 # You should have received a copy of the GNU General Public License
23 # along with this program; if not, write the Free Software Foundation,
24 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
25 #
26 #-----------------------------------------------------------------------
27 #
28
29 seq=`basename $0`
30 seqres=$RESULT_DIR/$seq
31 seqres=$RESULT_DIR/$seq
32 seqres=$RESULT_DIR/$seq
33 echo "QA output created by $seq"
34
35 here=`pwd`
36 tmp=/tmp/$$
37 status=1        # failure is the default!
38 trap "_cleanup; exit \$status" 0 1 2 3 15
39
40 _cleanup()
41 {
42     cd /
43     _cleanup_testdir
44 }
45
46 # get standard environment, filters and checks
47 . ./common.rc
48 . ./common.filter
49
50 # real QA test starts here
51 _supported_fs generic
52 _supported_os Linux
53
54 _setup_testdir
55 _require_scratch
56 _scratch_mkfs >/dev/null 2>&1
57 _scratch_mount
58
59 # Run preallo_rw_pattern on both test and scratch partitions
60 for TESTFILE in $testdir/rw_pattern.tmp $SCRATCH_MNT/rw_pattern.tmp
61   do
62   count=1
63   while (( count < 101 ))
64     do
65     src/preallo_rw_pattern_writer $TESTFILE
66     src/preallo_rw_pattern_reader $TESTFILE
67     if (test $? -ne 0) then
68         echo Read/Write Pattern Test FAILED.
69         _cleanup
70         exit 1
71     fi
72     rm $TESTFILE
73     ((count=count+1))
74   done #done for count of  100
75 done
76
77 if (test $? -eq 0 ) then
78     status=0
79 fi
80
81 umount $SCRATCH_DEV
82
83 _check_test_fs
84 _check_scratch_fs
85
86 exit